## NMSettingUser NMSettingUser |

## Functions

NMSetting * | nm_setting_user_new ()
const char *const * | nm_setting_user_get_keys ()
const char * | nm_setting_user_get_data ()
gboolean | nm_setting_user_set_data ()
gboolean | nm_setting_user_check_key ()
gboolean | nm_setting_user_check_val ()

## Types and Values

#define | NM_SETTING_USER_SETTING_NAME
#define | NM_SETTING_USER_DATA

## Description

## Functions

### nm_setting_user_new ()

    NMSetting *
    nm_setting_user_new (void);

### nm_setting_user_get_keys ()

    const char *const *
    nm_setting_user_get_keys (NMSettingUser *setting,
                              guint *out_len);

### nm_setting_user_get_data ()

    const char *
    nm_setting_user_get_data (NMSettingUser *setting,
                              const char *key);

### nm_setting_user_set_data ()

    gboolean
    nm_setting_user_set_data (NMSettingUser *setting,
                              const char *key,
                              const char *val,
                              GError **error);

### nm_setting_user_check_key ()

    gboolean
    nm_setting_user_check_key (const char *key,
                               GError **error);

### nm_setting_user_check_val ()

    gboolean
    nm_setting_user_check_val (const char *val,
                               GError **error);

## Types and Values

### NM_SETTING_USER_SETTING_NAME

    #define NM_SETTING_USER_SETTING_NAME "user"

### NM_SETTING_USER_DATA

    #define NM_SETTING_USER_DATA "data"